Pricing changes are coming in January. Contact our Sales team to secure the current price for your desired license.
List of all demos

React Pivot Table themes

With many different themes by Flexmonster Pivot Table & Charts for React, choose color schemes that fit you most.


    import React from "react";
    import * as FlexmonsterReact from "react-flexmonster";
    
    import "flexmonster/theme/stripedblue/flexmonster.css";
    
    // More themes:
    // import "flexmonster/theme/stripedteal/flexmonster.min.css";
    // import "flexmonster/theme/purple/flexmonster.min.css";
    // import "flexmonster/theme/blackorange/flexmonster.min.css";
    // import "flexmonster/theme/brightorange/flexmonster.min.css";
    // import "flexmonster/theme/yellow/flexmonster.min.css";
    // import "flexmonster/theme/green/flexmonster.min.css";
    // import "flexmonster/theme/midnight/flexmonster.min.css";
    // import "flexmonster/theme/macos/flexmonster.min.css";
    // import "flexmonster/theme/softdefault/flexmonster.min.css";
    // import "flexmonster/theme/lightblue/flexmonster.min.css";
    // import "flexmonster/theme/dark/flexmonster.min.css";
    // import "flexmonster/theme/teal/flexmonster.min.css";
    // import "flexmonster/theme/orange/flexmonster.min.css";
    // import "flexmonster/theme/old/flexmonster.min.css";
    
    class PivotTableDemo extends React.Component {
      render() {
        return (
          <>
            <FlexmonsterReact.Pivot
              componentFolder="https://cdn.flexmonster.com/"
              height={600}
              toolbar={true}
              report={{
                dataSource: {
                  type: "csv",
                  filename: "data/sales.csv",
                },
                slice: {
                  rows: [
                    {
                      uniqueName: "Salesperson",
                    },
                    {
                      uniqueName: "Payment Method",
                    },
                  ],
                  columns: [
                    {
                      uniqueName: "Month",
                      filter: {
                        members: [
                          "month.[june]",
                          "month.[july]",
                          "month.[august]"
                        ],
                      },
                    },
                    {
                      uniqueName: "[Measures]",
                    },
                  ],
                  measures: [
                    {
                      uniqueName: "Revenue",
                      aggregation: "sum",
                    },
                  ],
                  sorting: {
                    column: {
                      type: "desc",
                      tuple: [],
                      measure: {
                        uniqueName: "Revenue",
                        aggregation: "sum",
                      },
                    },
                  },
                  expands: {
                    rows: [
                      {
                        tuple: ["salesperson.[laszlo horvath]"],
                      },
                    ],
                  },
                },
                formats: [
                  {
                    name: "",
                    thousandsSeparator: ",",
                    decimalSeparator: ".",
                    decimalPlaces: 2,
                    currencySymbol: "$",
                    positiveCurrencyFormat: "$1",
                    nullValue: "",
                    textAlign: "right",
                    isPercent: false,
                  },
                ],
              }}
              shareReportConnection={{
                url: "https://olap.flexmonster.com:9500",
              }}
              beforetoolbarcreated={(toolbar) => {
                toolbar.showShareReportTab = true;
              }}
            />
          </>
        );
      }
    }
    
    export default PivotTableDemo;
    

    Just one line of code will change the component's style. We have a variety of predefined skins, ten of which are shown in the demo above. Check the full list of available built-in themes.

    Pick among these themes or create a custom report theme in corporate branding colors and use it in the React reporting tool. Refer to the Customizing appearance guide to learn how to apply a built-in theme, add custom CSS over it, or create new one from scratch.

    We added a custom theme builder app to make it easy for you to create a personalised theme for Flexmonster for React. Use it to build themes quickly and keep Flexmonster styles in one place.

We have updated Flexmonster Software License Agreement, effective as of September 30, 2024. Learn more about what’s changed.
List of all demos

Angular Pivot Table themes


    import { Component, OnInit } from "@angular/core";
    
    @Component({
      selector: "pivotComponent",
      templateUrl: "./pivot.component.html",
      styleUrls: ["./pivot.component.css"],
    })
    export class PivotComponent implements OnInit {
      public report: Flexmonster.Report = {
        dataSource: {
          type: "csv",
          filename: "data/sales.csv",
        },
        slice: {
          rows: [
            {
              uniqueName: "Salesperson",
            },
            {
              uniqueName: "Payment Method",
            },
          ],
          columns: [
            {
              uniqueName: "Month",
              filter: {
                members: [
                  "month.[june]",
                  "month.[july]",
                  "month.[august]"
                ],
              },
            },
            {
              uniqueName: "[Measures]",
            },
          ],
          measures: [
            {
              uniqueName: "Revenue",
              aggregation: "sum",
            },
          ],
          sorting: {
            column: {
              type: "desc",
              tuple: [],
              measure: {
                uniqueName: "Revenue",
                aggregation: "sum",
              },
            },
          },
          expands: {
            rows: [
              {
                tuple: ["salesperson.[laszlo horvath]"],
              },
            ],
          },
        },
        formats: [
          {
            name: "",
            thousandsSeparator: ",",
            decimalSeparator: ".",
            decimalPlaces: 2,
            currencySymbol: "$",
            positiveCurrencyFormat: "$1",
            nullValue: "",
            textAlign: "right",
            isPercent: false,
          },
        ],
      };
    
      constructor() {}
    
      ngOnInit(): void {}
    
      customizeToolbar(toolbar: Flexmonster.Toolbar) {
        toolbar.showShareReportTab = true;
      }
    }
    
    <fm-pivot
      [componentFolder]="'https://cdn.flexmonster.com/'"
      [height]="600"
      [toolbar]="true"
      [report]="report"
      [shareReportConnection]="{url: 'https://olap.flexmonster.com:9500'}"
      (beforetoolbarcreated)="customizeToolbar($event)">
    </fm-pivot>
    
    @import "flexmonster/theme/stripedblue/flexmonster.min.css";
    
    /* More themes: */
    /* @import "flexmonster/theme/stripedteal/flexmonster.min.css"; */
    /* @import "flexmonster/theme/purple/flexmonster.min.css"; */
    /* @import "flexmonster/theme/blackorange/flexmonster.min.css"; */
    /* @import "flexmonster/theme/brightorange/flexmonster.min.css"; */
    /* @import "flexmonster/theme/yellow/flexmonster.min.css"; */
    /* @import "flexmonster/theme/green/flexmonster.min.css"; */
    /* @import "flexmonster/theme/midnight/flexmonster.min.css"; */
    /* @import "flexmonster/theme/macos/flexmonster.min.css"; */
    /* @import "flexmonster/theme/softdefault/flexmonster.min.css"; */
    /* @import "flexmonster/theme/lightblue/flexmonster.min.css"; */
    /* @import "flexmonster/theme/dark/flexmonster.min.css"; */
    /* @import "flexmonster/theme/teal/flexmonster.min.css"; */
    /* @import "flexmonster/theme/orange/flexmonster.min.css"; */
    /* @import "flexmonster/theme/old/flexmonster.min.css"; */
    

    Pick one of the ready-to-use CSS pivot skins that come with Flexmonster Pivot Table & Charts. Ten of them you can see below in our Angular UI grid example. The full list of themes as well as the tutorial on how to create your own you can check in the customizing appearance guide.

    Apply built-in themes and transform your Angular pivot table just with one extra line of code.

    You can choose one of these designs or make a custom theme from scratch that can fit your Angular data visualization tool. To speed up the process we created a custom theme builder app that will help you build new themes in no time.

We have updated Flexmonster Software License Agreement, effective as of September 30, 2024. Learn more about what’s changed.
List of all demos

Vue Pivot Table themes


    <template>
      <Pivot
        componentFolder="https://cdn.flexmonster.com/"
        height="600"
        toolbar
        v-bind:report="report"
        v-bind:shareReportConnection="{
          url: 'https://olap.flexmonster.com:9500',
        }"
        v-bind:beforetoolbarcreated="customizeToolbar"
      />
    </template>
    
    <script>
    import Pivot from "vue-flexmonster/vue3";
    
    import "flexmonster/theme/stripedblue/flexmonster.css";
    
    // More themes:
    // import "flexmonster/theme/stripedteal/flexmonster.min.css";
    // import "flexmonster/theme/purple/flexmonster.min.css";
    // import "flexmonster/theme/blackorange/flexmonster.min.css";
    // import "flexmonster/theme/brightorange/flexmonster.min.css";
    // import "flexmonster/theme/yellow/flexmonster.min.css";
    // import "flexmonster/theme/green/flexmonster.min.css";
    // import "flexmonster/theme/midnight/flexmonster.min.css";
    // import "flexmonster/theme/macos/flexmonster.min.css";
    // import "flexmonster/theme/softdefault/flexmonster.min.css";
    // import "flexmonster/theme/lightblue/flexmonster.min.css";
    // import "flexmonster/theme/dark/flexmonster.min.css";
    // import "flexmonster/theme/teal/flexmonster.min.css";
    // import "flexmonster/theme/orange/flexmonster.min.css";
    // import "flexmonster/theme/old/flexmonster.min.css";
    
    export default {
      name: "PivotComponent",
      components: {
        Pivot,
      },
      data() {
        return {
          report: {
            dataSource: {
              type: "csv",
              filename: "data/sales.csv",
            },
            slice: {
              rows: [
                {
                  uniqueName: "Salesperson",
                },
                {
                  uniqueName: "Payment Method",
                },
              ],
              columns: [
                {
                  uniqueName: "Month",
                  filter: {
                    members: [
                      "month.[june]",
                      "month.[july]",
                      "month.[august]"
                    ],
                  },
                },
                {
                  uniqueName: "[Measures]",
                },
              ],
              measures: [
                {
                  uniqueName: "Revenue",
                  aggregation: "sum",
                },
              ],
              sorting: {
                column: {
                  type: "desc",
                  tuple: [],
                  measure: {
                    uniqueName: "Revenue",
                    aggregation: "sum",
                  },
                },
              },
              expands: {
                rows: [
                  {
                    tuple: ["salesperson.[laszlo horvath]"],
                  },
                ],
              },
            },
            formats: [
              {
                name: "",
                thousandsSeparator: ",",
                decimalSeparator: ".",
                decimalPlaces: 2,
                currencySymbol: "$",
                positiveCurrencyFormat: "$1",
                nullValue: "",
                textAlign: "right",
                isPercent: false,
              },
            ],
          },
        };
      },
      methods: {
        customizeToolbar(toolbar) {
          toolbar.showShareReportTab = true;
        },
      },
    };
    </script>
    

    There are 17 already prepared layouts with the most popular color schemes that you can use for your Vue project.

    Take a look at the complete list of CSS skins and guide how simply switch your Vue pivot grid theme to the needed one with only one code line.

    You can also create a custom report theme using your corporate branding colors that you use for your Vue project.

    With the help of customizing appearance guide and a theme builder app, you can easily create a custom theme from scratch.